org.h2.util

## Class JSR310

- java.lang.Object
- - org.h2.util.JSR310

    public class JSR310
    extends java.lang.Object

This utility class to check presence of JSR 310.

### Field Summary

Fields
`static java.lang.Class<?>` `DURATION` `Class<java.time.Duration>` or `null`.
`static java.lang.Class<?>` `INSTANT` `Class<java.time.Instant>` or `null`.
`static java.lang.Class<?>` `LOCAL_DATE` `Class<java.time.LocalDate>` or `null`.
`static java.lang.Class<?>` `LOCAL_DATE_TIME` `Class<java.time.LocalDateTime>` or `null`.
`static java.lang.Class<?>` `LOCAL_TIME` `Class<java.time.LocalTime>` or `null`.
`static java.lang.Class<?>` `OFFSET_DATE_TIME` `Class<java.time.OffsetDateTime>` or `null`.
`static java.lang.Class<?>` `OFFSET_TIME` `Class<java.time.OffsetTime>` or `null`.
`static java.lang.Class<?>` `PERIOD` `Class<java.time.Period>` or `null`.
`static boolean` `PRESENT` Whether the JSR 310 date and time API present in the JRE.
`static java.lang.Class<?>` `ZONED_DATE_TIME` `Class<java.time.ZonedDateTime>` or `null`.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOCAL_DATE

    public static final java.lang.Class<?> LOCAL_DATE

`Class<java.time.LocalDate>` or `null`.

#### LOCAL_TIME

    public static final java.lang.Class<?> LOCAL_TIME

`Class<java.time.LocalTime>` or `null`.

#### LOCAL_DATE_TIME

    public static final java.lang.Class<?> LOCAL_DATE_TIME

`Class<java.time.LocalDateTime>` or `null`.

#### INSTANT

    public static final java.lang.Class<?> INSTANT

`Class<java.time.Instant>` or `null`.

#### OFFSET_DATE_TIME

    public static final java.lang.Class<?> OFFSET_DATE_TIME

`Class<java.time.OffsetDateTime>` or `null`.

#### ZONED_DATE_TIME

    public static final java.lang.Class<?> ZONED_DATE_TIME

`Class<java.time.ZonedDateTime>` or `null`.

#### OFFSET_TIME

    public static final java.lang.Class<?> OFFSET_TIME

`Class<java.time.OffsetTime>` or `null`.

#### PERIOD

    public static final java.lang.Class<?> PERIOD

`Class<java.time.Period>` or `null`.

#### DURATION

    public static final java.lang.Class<?> DURATION

`Class<java.time.Duration>` or `null`.

#### PRESENT

    public static final boolean PRESENT

Whether the JSR 310 date and time API present in the JRE.